Package be.fgov.ehealth.mediprima.core.v2

# Class CarmedIdentifierType

java.lang.Object
be.fgov.ehealth.mediprima.core.v2.CarmedIdentifierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:27+02:00", comments="JAXB RI v4.0.5") public class CarmedIdentifierType extends Object implements Serializable

Java class for CarmedIdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CarmedIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CarmedNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="VersionNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="Beneficiary" type="{urn:be:fgov:ehealth:mediprima:core:v2}BeneficiaryType"/>
             <element name="ValidityPeriod" type="{urn:be:fgov:ehealth:mediprima:core:v2}PeriodType"/>
             <element name="Pswc" type="{urn:be:fgov:ehealth:mediprima:core:v2}OcmwCpasType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CarmedIdentifierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeneficiaryType`
  `getBeneficiary()`
  Information on the beneficiary of the medical Card
  `String`
  `getCarmedNumber()`
  Unique number of the medical card
  `OcmwCpasType`
  `getPswc()`
  OCMW / CPAS
  `PeriodType`
  `getValidityPeriod()`
  Validity Period of the medical Card
  `BigInteger`
  `getVersionNumber()`
  The version number of the medical card
  `void`
  `setBeneficiary(BeneficiaryType value)`
  Sets the value of the beneficiary property.
  `void`
  `setCarmedNumber(String value)`
  Sets the value of the carmedNumber property.
  `void`
  `setPswc(OcmwCpasType value)`
  Sets the value of the pswc property.
  `void`
  `setValidityPeriod(PeriodType value)`
  Sets the value of the validityPeriod property.
  `void`
  `setVersionNumber(BigInteger value)`
  Sets the value of the versionNumber property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CarmedIdentifierType

    public CarmedIdentifierType()

- ## Method Details

  - ### getCarmedNumber

    public String getCarmedNumber()
    Unique number of the medical card
    Returns:
      possible object is `String`

  - ### setCarmedNumber

    public void setCarmedNumber(String value)
    Sets the value of the carmedNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCarmedNumber()`

  - ### getVersionNumber

    public BigInteger getVersionNumber()
    The version number of the medical card
    Returns:
      possible object is `BigInteger`

  - ### setVersionNumber

    public void setVersionNumber(BigInteger value)
    Sets the value of the versionNumber property.
    Parameters:
      `value` - allowed object is `BigInteger`
    See Also:
      - `getVersionNumber()`

  - ### getBeneficiary

    public BeneficiaryType getBeneficiary()
    Information on the beneficiary of the medical Card
    Returns:
      possible object is `BeneficiaryType`

  - ### setBeneficiary

    public void setBeneficiary(BeneficiaryType value)
    Sets the value of the beneficiary property.
    Parameters:
      `value` - allowed object is `BeneficiaryType`
    See Also:
      - `getBeneficiary()`

  - ### getValidityPeriod

    public PeriodType getValidityPeriod()
    Validity Period of the medical Card
    Returns:
      possible object is `PeriodType`

  - ### setValidityPeriod

    public void setValidityPeriod(PeriodType value)
    Sets the value of the validityPeriod property.
    Parameters:
      `value` - allowed object is `PeriodType`
    See Also:
      - `getValidityPeriod()`

  - ### getPswc

    public OcmwCpasType getPswc()
    OCMW / CPAS
    Returns:
      possible object is `OcmwCpasType`

  - ### setPswc

    public void setPswc(OcmwCpasType value)
    Sets the value of the pswc property.
    Parameters:
      `value` - allowed object is `OcmwCpasType`
    See Also:
      - `getPswc()`